var $AdfDhtmlInputNumberSliderPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfDhtmlInputNumberSliderBasePeer$$, "AdfDhtmlInputNumberSliderPeer", !1);
$goog$exportSymbol$$("AdfDhtmlInputNumberSliderPeer", $AdfDhtmlInputNumberSliderPeer$$);
$AdfDhtmlInputNumberSliderPeer$$.$InitSubclass$ = function $$AdfDhtmlInputNumberSliderPeer$$$$InitSubclass$$() {
  $AdfRichUIPeer$$.$addComponentEventHandlers$(this, $AdfUIInputEvent$$.$MOUSE_IN_EVENT_TYPE$, $AdfUIInputEvent$$.$MOUSE_DOWN_EVENT_TYPE$);
};
$goog$exportSymbol$$("AdfDhtmlInputNumberSliderPeer.InitSubclass", $AdfDhtmlInputNumberSliderPeer$$.$InitSubclass$);
$AdfDhtmlInputNumberSliderPeer$$.prototype.$HandleComponentMouseOver$ = function $$AdfDhtmlInputNumberSliderPeer$$$$$HandleComponentMouseOver$$($componentEvent$$532$$) {
  this.$ShowNoteWindowMouseOver$($componentEvent$$532$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputNumberSliderPeer.prototype.HandleComponentMouseOver", {$HandleComponentMouseOver$:$AdfDhtmlInputNumberSliderPeer$$.prototype.$HandleComponentMouseOver$});
$AdfDhtmlInputNumberSliderPeer$$.prototype.$HandleComponentMouseDown$ = function $$AdfDhtmlInputNumberSliderPeer$$$$$HandleComponentMouseDown$$($componentEvent$$533$$) {
  this.$_handleComponentMouseDownOrTouchStart$($componentEvent$$533$$, !1);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputNumberSliderPeer.prototype.HandleComponentMouseDown", {$HandleComponentMouseDown$:$AdfDhtmlInputNumberSliderPeer$$.prototype.$HandleComponentMouseDown$});
